package ru.myitschool.work.data.source

import retrofit2.Response
import retrofit2.http.Body
import retrofit2.http.GET
import retrofit2.http.POST
import retrofit2.http.Path

interface AuthorizationApi {
    @GET("api/{username}/auth")
    suspend fun checkLogin(
        @Path("username") username: String
    ) : Response<Unit>

    @GET("api/login")
    suspend fun login(
        @Body content: AccountApi
    ): Response<Unit>
}